

- Add an explanation for clearing the focus bit on P4 (zwane)

- __d_path kerneldoc fix (John Levon)

- generic-hdlc documentation fix (Krzysztof Halasa <khc@pm.waw.pl>)

- cmdline_read_proc cleanup (Oleg Drokin)

- remove a couple of unused vars from drivers/ide/pci/hpt366.c

- sound/core/sgbuf.c needs mm.h at least on alpha, for mem_map and other
  page stuff.  (Ivan Kokshaysky <ink@jurassic.park.msu.ru>)

- Don't use "u32 long" in cs46xx.c (Kevin Puetz <puetzk@puetzk.org>)

- fs/nfs/nfs4xdr.c warning fix: all the `goto out;' statements are
  commented away, so comment away the label too.

- net/ipv6/af_inet6.c: remove unused var

- drivers/media/video/bttv-cards.c: jiffies are unsigned long

- drivers/media/video/saa7134/saa7134-cards.c: unused var


 Documentation/networking/generic-hdlc.txt   |    6 ++++--
 arch/i386/kernel/apic.c                     |    2 ++
 drivers/ide/pci/hpt366.c                    |    1 -
 drivers/media/video/bttv-cards.c            |    2 +-
 drivers/media/video/saa7134/saa7134-cards.c |   14 ++++++++------
 fs/dcache.c                                 |    5 +++--
 fs/nfs/nfs4xdr.c                            |    2 +-
 fs/proc/proc_misc.c                         |    1 -
 net/ipv6/af_inet6.c                         |    0 
 sound/core/sgbuf.c                          |    1 +
 sound/oss/cs46xx.c                          |    6 +++---
 11 files changed, 23 insertions(+), 17 deletions(-)

diff -puN arch/i386/kernel/apic.c~misc2 arch/i386/kernel/apic.c
--- 25/arch/i386/kernel/apic.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/arch/i386/kernel/apic.c	2003-05-22 01:52:15.000000000 -0700
@@ -323,6 +323,8 @@ void __init init_bsp_APIC(void)
 	value = apic_read(APIC_SPIV);
 	value &= ~APIC_VECTOR_MASK;
 	value |= APIC_SPIV_APIC_ENABLED;
+	
+	/* This bit is reserved on P4/Xeon and should be cleared */
 	if ((boot_cpu_data.x86_vendor == X86_VENDOR_INTEL) && (boot_cpu_data.x86 == 15))
 		value &= ~APIC_SPIV_FOCUS_DISABLED;
 	else
diff -puN Documentation/networking/generic-hdlc.txt~misc2 Documentation/networking/generic-hdlc.txt
--- 25/Documentation/networking/generic-hdlc.txt~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/Documentation/networking/generic-hdlc.txt	2003-05-22 01:52:15.000000000 -0700
@@ -38,8 +38,10 @@ Usually you want something like:
 	sethdlc hdlc0 cisco interval 10 timeout 25
 or
 	sethdlc hdlc0 rs232 clock ext
-	sethdlc fr lmi ansi
-	sethdlc create 99
+	sethdlc hdlc0 fr lmi ansi
+	sethdlc hdlc0 create 99
+	ifconfig hdlc0 up
+	ifconfig pvc0 localIP pointopoint remoteIP
 
 In Frame Relay mode, ifconfig master hdlc device up (without assigning
 any IP address to it) before using pvc devices.
diff -puN drivers/ide/pci/hpt366.c~misc2 drivers/ide/pci/hpt366.c
--- 25/drivers/ide/pci/hpt366.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/drivers/ide/pci/hpt366.c	2003-05-22 01:52:15.000000000 -0700
@@ -1105,7 +1105,6 @@ static void __init init_setup_hpt374 (st
 		    (findev->device == dev->device) &&
 		    ((findev->devfn - dev->devfn) == 1) &&
 		    (PCI_FUNC(findev->devfn) & 1)) {
-			u8 irq = 0, irq2 = 0;
 			if (findev->irq != dev->irq) {
 				/* FIXME: we need a core pci_set_interrupt() */
 				findev->irq = dev->irq;
diff -puN fs/dcache.c~misc2 fs/dcache.c
--- 25/fs/dcache.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/fs/dcache.c	2003-05-22 01:52:15.000000000 -0700
@@ -1272,8 +1272,9 @@ void d_move(struct dentry * dentry, stru
  * @buflen: buffer length
  *
  * Convert a dentry into an ASCII path name. If the entry has been deleted
- * the string " (deleted)" is appended. Note that this is ambiguous. Returns
- * the buffer.
+ * the string " (deleted)" is appended. Note that this is ambiguous.
+ *
+ * Returns the buffer or an error code if the path was too long.
  *
  * "buflen" should be positive. Caller holds the dcache_lock.
  */
diff -puN fs/proc/proc_misc.c~misc2 fs/proc/proc_misc.c
--- 25/fs/proc/proc_misc.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/fs/proc/proc_misc.c	2003-05-22 01:52:15.000000000 -0700
@@ -497,7 +497,6 @@ static int cmdline_read_proc(char *page,
 	int len;
 
 	len = sprintf(page, "%s\n", saved_command_line);
-	len = strlen(page);
 	return proc_calc_metrics(page, start, off, count, eof, len);
 }
 
diff -puN sound/core/sgbuf.c~misc2 sound/core/sgbuf.c
--- 25/sound/core/sgbuf.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/sound/core/sgbuf.c	2003-05-22 01:52:15.000000000 -0700
@@ -23,6 +23,7 @@
 #include <linux/version.h>
 #include <linux/pci.h>
 #include <linux/slab.h>
+#include <linux/mm.h>
 #include <linux/vmalloc.h>
 #include <sound/memalloc.h>
 
diff -puN sound/oss/cs46xx.c~misc2 sound/oss/cs46xx.c
--- 25/sound/oss/cs46xx.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/sound/oss/cs46xx.c	2003-05-22 01:52:15.000000000 -0700
@@ -944,10 +944,10 @@ static void cs_play_setup(struct cs_stat
 
 }
 
-struct InitStruct
+static struct InitStruct
 {
-    u32 long off;
-    u32 long val;
+    u32 off;
+    u32 val;
 } InitArray[] = { {0x00000040, 0x3fc0000f},
                   {0x0000004c, 0x04800000},
 
diff -puN fs/nfs/nfs4xdr.c~misc2 fs/nfs/nfs4xdr.c
--- 25/fs/nfs/nfs4xdr.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/fs/nfs/nfs4xdr.c	2003-05-22 01:52:15.000000000 -0700
@@ -361,7 +361,7 @@ encode_attrs(struct xdr_stream *xdr, str
 	*q++ = htonl(len);
 
 	status = 0;
-out:
+/* out: */
 	return status;
 }
 
diff -puN net/ipv6/af_inet6.c~misc2 net/ipv6/af_inet6.c
diff -puN drivers/media/video/bttv-cards.c~misc2 drivers/media/video/bttv-cards.c
--- 25/drivers/media/video/bttv-cards.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/drivers/media/video/bttv-cards.c	2003-05-22 01:52:17.000000000 -0700
@@ -2671,7 +2671,7 @@ int bus_in(struct bttv *btv, int bit)
 static int tea5757_read(struct bttv *btv)
 {
 	int value = 0;
-	long timeout;
+	unsigned long timeout;
 	int i;
 	
 	/* better safe than sorry */
diff -puN drivers/media/video/saa7134/saa7134-cards.c~misc2 drivers/media/video/saa7134/saa7134-cards.c
--- 25/drivers/media/video/saa7134/saa7134-cards.c~misc2	2003-05-22 01:52:15.000000000 -0700
+++ 25-akpm/drivers/media/video/saa7134/saa7134-cards.c	2003-05-22 01:52:17.000000000 -0700
@@ -596,16 +596,18 @@ static struct {
 static void board_flyvideo(struct saa7134_dev *dev)
 {
 	u32 value;
-	int index;
 
 	saa_writel(SAA7134_GPIO_GPMODE0 >> 2,   0);
 	value = saa_readl(SAA7134_GPIO_GPSTATUS0 >> 2);
 #if 0
-	index = (value & 0x1f00) >> 8;
-	printk(KERN_INFO "%s: flyvideo: gpio is 0x%x [model=%s,tuner=%d]\n",
-	       dev->name, value, fly_list[index].model,
-	       fly_list[index].tuner_type);
-	dev->tuner_type = fly_list[index].tuner_type;
+	{
+		int index = (value & 0x1f00) >> 8;
+		printk(KERN_INFO "%s: flyvideo: gpio is 0x%x "
+				"[model=%s,tuner=%d]\n",
+		       dev->name, value, fly_list[index].model,
+		       fly_list[index].tuner_type);
+		dev->tuner_type = fly_list[index].tuner_type;
+	}
 #else
 	printk(KERN_INFO "%s: flyvideo: gpio is 0x%x\n",
 	       dev->name, value);

_
